Skip to main content
GET
/
v1
/
polymarket
/
orders
List
curl --request GET \
  --url https://api.example.com/v1/polymarket/orders
[
  {
    "id": "<string>",
    "market_id": "<string>",
    "market_slug": "<string>",
    "condition_id": "<string>",
    "question_snapshot": "<string>",
    "token": "<string>",
    "side": "<string>",
    "price": "<string>",
    "size_usdc": "<string>",
    "status": "<string>",
    "paper": true,
    "clob_order_id": "<string>",
    "filled_size_usdc": "<string>",
    "return_usdc": "<string>",
    "error": "<string>",
    "placed_at": "2023-11-07T05:31:56Z",
    "settled_at": "2023-11-07T05:31:56Z"
  }
]

Documentation Index

Fetch the complete documentation index at: https://docs.edge.glitchexecutor.com/llms.txt

Use this file to discover all available pages before exploring further.

Headers

x-dev-user
string | null
authorization
string | null

Query Parameters

limit
integer
default:50
Required range: 1 <= x <= 500
paper
boolean | null

Response

Successful Response

id
string
required
market_id
string
required
market_slug
string | null
required
condition_id
string | null
required
question_snapshot
string | null
required
token
string
required
side
string
required
price
string
required
Pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
size_usdc
string
required
Pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
status
string
required
paper
boolean
required
clob_order_id
string | null
required
filled_size_usdc
string | null
required
Pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
return_usdc
string | null
required
Pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
error
string | null
required
placed_at
string<date-time>
required
settled_at
string<date-time> | null
required